Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstanceOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessInstance`, `JBPMMessages.ProcessInstance.Builder`
  Enclosing class:
    JBPMMessages

      public static interface JBPMMessages.ProcessInstanceOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCompletedNodeIds​(int index)` | `repeated string completedNodeIds = 13;`
    `com.google.protobuf.ByteString` | `getCompletedNodeIdsBytes​(int index)` | `repeated string completedNodeIds = 13;`
    `int` | `getCompletedNodeIdsCount()` | `repeated string completedNodeIds = 13;`
    `com.google.protobuf.ProtocolStringList` | `getCompletedNodeIdsList()` | `repeated string completedNodeIds = 13;`
    `String` | `getCorrelationKey()` | `optional string correlation_key = 18;`
    `com.google.protobuf.ByteString` | `getCorrelationKeyBytes()` | `optional string correlation_key = 18;`
    `String` | `getDeploymentId()` | `optional string deploymentId = 17;`
    `com.google.protobuf.ByteString` | `getDeploymentIdBytes()` | `optional string deploymentId = 17;`
    `String` | `getDescription()` | `optional string description = 15;`
    `com.google.protobuf.ByteString` | `getDescriptionBytes()` | `optional string description = 15;`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getExclusiveGroup​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
    `int` | `getExclusiveGroupCount()` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
    `List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getExclusiveGroupList()` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder` | `getExclusiveGroupOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
    `List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder>` | `getExclusiveGroupOrBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`
    `long` | `getId()` | `optional int64 id = 2;`
    `JBPMMessages.IterationLevel` | `getIterationLevels​(int index)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
    `int` | `getIterationLevelsCount()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
    `List<JBPMMessages.IterationLevel>` | `getIterationLevelsList()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
    `JBPMMessages.IterationLevelOrBuilder` | `getIterationLevelsOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
    `List<? extends JBPMMessages.IterationLevelOrBuilder>` | `getIterationLevelsOrBuilderList()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`
    `JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
    `int` | `getNodeInstanceCount()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
    `long` | `getNodeInstanceCounter()` | `optional int64 node_instance_counter = 5;`
    `List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
    `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
    `List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`
    `long` | `getParentProcessInstanceId()` | `optional int64 parent_process_instance_id = 12;`
    `String` | `getProcessId()` | `optional string process_id = 3;`
    `com.google.protobuf.ByteString` | `getProcessIdBytes()` | `optional string process_id = 3;`
    `String` | `getProcessType()` | `optional string process_type = 1;`
    `com.google.protobuf.ByteString` | `getProcessTypeBytes()` | `optional string process_type = 1;`
    `String` | `getProcessXml()` | `optional string process_xml = 11;`
    `com.google.protobuf.ByteString` | `getProcessXmlBytes()` | `optional string process_xml = 11;`
    `boolean` | `getSignalCompletion()` | `optional bool signal_completion = 16 [default = true];`
    `int` | `getSlaCompliance()` | `optional int32 sla_compliance = 21;`
    `long` | `getSlaDueDate()` | `optional int64 sla_due_date = 20;`
    `long` | `getSlaTimerId()` | `optional int64 sla_timer_id = 19;`
    `int` | `getState()` | `optional int32 state = 4;`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `getSwimlaneContext​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
    `int` | `getSwimlaneContextCount()` | `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
    `List<JBPMMessages.ProcessInstance.SwimlaneContextInstance>` | `getSwimlaneContextList()` | `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder` | `getSwimlaneContextOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
    `List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder>` | `getSwimlaneContextOrBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`
    `JBPMMessages.Variable` | `getVariable​(int index)` | `repeated .org.jbpm.marshalling.Variable variable = 8;`
    `int` | `getVariableCount()` | `repeated .org.jbpm.marshalling.Variable variable = 8;`
    `List<JBPMMessages.Variable>` | `getVariableList()` | `repeated .org.jbpm.marshalling.Variable variable = 8;`
    `JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.Variable variable = 8;`
    `List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` | `repeated .org.jbpm.marshalling.Variable variable = 8;`
    `boolean` | `hasCorrelationKey()` | `optional string correlation_key = 18;`
    `boolean` | `hasDeploymentId()` | `optional string deploymentId = 17;`
    `boolean` | `hasDescription()` | `optional string description = 15;`
    `boolean` | `hasId()` | `optional int64 id = 2;`
    `boolean` | `hasNodeInstanceCounter()` | `optional int64 node_instance_counter = 5;`
    `boolean` | `hasParentProcessInstanceId()` | `optional int64 parent_process_instance_id = 12;`
    `boolean` | `hasProcessId()` | `optional string process_id = 3;`
    `boolean` | `hasProcessType()` | `optional string process_type = 1;`
    `boolean` | `hasProcessXml()` | `optional string process_xml = 11;`
    `boolean` | `hasSignalCompletion()` | `optional bool signal_completion = 16 [default = true];`
    `boolean` | `hasSlaCompliance()` | `optional int32 sla_compliance = 21;`
    `boolean` | `hasSlaDueDate()` | `optional int64 sla_due_date = 20;`
    `boolean` | `hasSlaTimerId()` | `optional int64 sla_timer_id = 19;`
    `boolean` | `hasState()` | `optional int32 state = 4;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### hasProcessType

          boolean hasProcessType()

      `optional string process_type = 1;`

    - #### getProcessType

          String getProcessType()

      `optional string process_type = 1;`

    - #### getProcessTypeBytes

          com.google.protobuf.ByteString getProcessTypeBytes()

      `optional string process_type = 1;`

    - #### hasId

          boolean hasId()

      `optional int64 id = 2;`

    - #### getId

          long getId()

      `optional int64 id = 2;`

    - #### hasProcessId

          boolean hasProcessId()

      `optional string process_id = 3;`

    - #### getProcessId

          String getProcessId()

      `optional string process_id = 3;`

    - #### getProcessIdBytes

          com.google.protobuf.ByteString getProcessIdBytes()

      `optional string process_id = 3;`

    - #### hasState

          boolean hasState()

      `optional int32 state = 4;`

    - #### getState

          int getState()

      `optional int32 state = 4;`

    - #### hasNodeInstanceCounter

          boolean hasNodeInstanceCounter()

      `optional int64 node_instance_counter = 5;`

    - #### getNodeInstanceCounter

          long getNodeInstanceCounter()

      `optional int64 node_instance_counter = 5;`

    - #### hasProcessXml

          boolean hasProcessXml()

      `optional string process_xml = 11;`

    - #### getProcessXml

          String getProcessXml()

      `optional string process_xml = 11;`

    - #### getProcessXmlBytes

          com.google.protobuf.ByteString getProcessXmlBytes()

      `optional string process_xml = 11;`

    - #### hasParentProcessInstanceId

          boolean hasParentProcessInstanceId()

      `optional int64 parent_process_instance_id = 12;`

    - #### getParentProcessInstanceId

          long getParentProcessInstanceId()

      `optional int64 parent_process_instance_id = 12;`

    - #### hasDescription

          boolean hasDescription()

      `optional string description = 15;`

    - #### getDescription

          String getDescription()

      `optional string description = 15;`

    - #### getDescriptionBytes

          com.google.protobuf.ByteString getDescriptionBytes()

      `optional string description = 15;`

    - #### hasSignalCompletion

          boolean hasSignalCompletion()

      `optional bool signal_completion = 16 [default = true];`

    - #### getSignalCompletion

          boolean getSignalCompletion()

      `optional bool signal_completion = 16 [default = true];`

    - #### hasDeploymentId

          boolean hasDeploymentId()

      `optional string deploymentId = 17;`

    - #### getDeploymentId

          String getDeploymentId()

      `optional string deploymentId = 17;`

    - #### getDeploymentIdBytes

          com.google.protobuf.ByteString getDeploymentIdBytes()

      `optional string deploymentId = 17;`

    - #### hasCorrelationKey

          boolean hasCorrelationKey()

      `optional string correlation_key = 18;`

    - #### getCorrelationKey

          String getCorrelationKey()

      `optional string correlation_key = 18;`

    - #### getCorrelationKeyBytes

          com.google.protobuf.ByteString getCorrelationKeyBytes()

      `optional string correlation_key = 18;`

    - #### hasSlaTimerId

          boolean hasSlaTimerId()

      `optional int64 sla_timer_id = 19;`

    - #### getSlaTimerId

          long getSlaTimerId()

      `optional int64 sla_timer_id = 19;`

    - #### hasSlaDueDate

          boolean hasSlaDueDate()

      `optional int64 sla_due_date = 20;`

    - #### getSlaDueDate

          long getSlaDueDate()

      `optional int64 sla_due_date = 20;`

    - #### hasSlaCompliance

          boolean hasSlaCompliance()

      `optional int32 sla_compliance = 21;`

    - #### getSlaCompliance

          int getSlaCompliance()

      `optional int32 sla_compliance = 21;`

    - #### getSwimlaneContextList

          List<JBPMMessages.ProcessInstance.SwimlaneContextInstance> getSwimlaneContextList()

      `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

    - #### getSwimlaneContext

          JBPMMessages.ProcessInstance.SwimlaneContextInstance getSwimlaneContext​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

    - #### getSwimlaneContextCount

          int getSwimlaneContextCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

    - #### getSwimlaneContextOrBuilderList

          List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder> getSwimlaneContextOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

    - #### getSwimlaneContextOrBuilder

          JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder getSwimlaneContextOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance swimlane_context = 6;`

    - #### getNodeInstanceList

          List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

    - #### getNodeInstance

          JBPMMessages.ProcessInstance.NodeInstance getNodeInstance​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

    - #### getNodeInstanceCount

          int getNodeInstanceCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

    - #### getNodeInstanceOrBuilderList

          List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

    - #### getNodeInstanceOrBuilder

          JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 7;`

    - #### getVariableList

          List<JBPMMessages.Variable> getVariableList()

      `repeated .org.jbpm.marshalling.Variable variable = 8;`

    - #### getVariable

          JBPMMessages.Variable getVariable​(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 8;`

    - #### getVariableCount

          int getVariableCount()

      `repeated .org.jbpm.marshalling.Variable variable = 8;`

    - #### getVariableOrBuilderList

          List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 8;`

    - #### getVariableOrBuilder

          JBPMMessages.VariableOrBuilder getVariableOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 8;`

    - #### getExclusiveGroupList

          List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getExclusiveGroupList()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

    - #### getExclusiveGroup

          JBPMMessages.ProcessInstance.ExclusiveGroupInstance getExclusiveGroup​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

    - #### getExclusiveGroupCount

          int getExclusiveGroupCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

    - #### getExclusiveGroupOrBuilderList

          List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder> getExclusiveGroupOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

    - #### getExclusiveGroupOrBuilder

          JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder getExclusiveGroupOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 10;`

    - #### getCompletedNodeIdsList

          com.google.protobuf.ProtocolStringList getCompletedNodeIdsList()

      `repeated string completedNodeIds = 13;`

    - #### getCompletedNodeIdsCount

          int getCompletedNodeIdsCount()

      `repeated string completedNodeIds = 13;`

    - #### getCompletedNodeIds

          String getCompletedNodeIds​(int index)

      `repeated string completedNodeIds = 13;`

    - #### getCompletedNodeIdsBytes

          com.google.protobuf.ByteString getCompletedNodeIdsBytes​(int index)

      `repeated string completedNodeIds = 13;`

    - #### getIterationLevelsList

          List<JBPMMessages.IterationLevel> getIterationLevelsList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

    - #### getIterationLevels

          JBPMMessages.IterationLevel getIterationLevels​(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

    - #### getIterationLevelsCount

          int getIterationLevelsCount()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

    - #### getIterationLevelsOrBuilderList

          List<? extends JBPMMessages.IterationLevelOrBuilder> getIterationLevelsOrBuilderList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`

    - #### getIterationLevelsOrBuilder

          JBPMMessages.IterationLevelOrBuilder getIterationLevelsOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 14;`